/*
 *    Copyright (c) 2009 Nicolas MARTIGNOLE
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 *    See http://touilleur-express.fr Le Touilleur Express, blog about Java.
 */

package com.innoteria;

import javax.mail.Message;
import java.io.Serializable;
import java.util.Iterator;
import java.util.ArrayList;

/**
 * Iterator that iterates a list of javax.mail.message but return an adapated InnoteriaMessage.
 *
 * @author Nicolas Martignole
 */
public class InnoteriaMessageIterator implements Serializable {
    private ArrayList<InnoteriaMessage> list;


    public InnoteriaMessageIterator(Iterator messages) {
        list = new ArrayList<InnoteriaMessage>();
        Message m;
        for (; messages.hasNext();) {
            m = (Message) messages.next();
            InnoteriaMessage im = new InnoteriaMessage(m);
            list.add(im);
        }
    }

    public Iterator iterator() {
        return list.iterator();
    }

}
